'' +--------------------------------------------------------------------------+
'' | Cluso's Propeller Operating System - OS module: _HELP    --> _HELP.CMD   |
'' +--------------------------------------------------------------------------+
'' |  Authors:       (c)2011 by Kwabena W. Agyman (Kye) & J. Moxham (Dr_Acula)|
'' |  Modifications: (c)2012 "Cluso99" (Ray Rodrick)                          |
'' |  License:       MIT License - See end of file for terms of use           |
'' +--------------------------------------------------------------------------+
'' This OS module uses an included module to perform most of the housekeeping.
'' Each module is called from, and returns to, the prop binary "_CMD.CMD"
'' Compile with PropTool + "PreSpin 0.3" by Andy Schenk www.insonix.ch/propeller                             
'' Some OS modules are derived from: 
''      KyeDOS v3 (c) 2011 by Kwabena W. Agyman (Kye) & J. Moxham (Dr_Acula)
'' See the included code for history and acknowledgments.
''
'' RR20120317   This module does......

'' Note: This module should display a __HELP.TXT file rather than hard-code strings

'#include "__MODULE.spin"        ' include the common code for OS modules 
#include "__MODULE.spin"

DAT
_ModuleStr    byte      "=== HELP ===",0        'module's name (string)
 
PRI executeCommand(stringPointer)

    printstring(@HelpStrings)
    abort 0

DAT HelpStrings

  byte 13
  byte "Command Listing"
  byte 13
  byte "<ver>                          - Display OS version and other details."
  byte 13
  byte "<clear>                        - Clear the screen."
  byte 13
  byte "<echo> <string>                - Echo the string argument."
  byte 13
  byte "<reboot>                       - Reboot the propeller chip."
  byte 13
  byte "<help>                         - Show the command listing."
  byte 13
  byte "<mount> <partition>            - Mount the file system."
  byte 13
  byte "<unmount>                      - Unmount the file system."
  byte 13
  byte "<free>                         - Free sector count. 1 Sector = 512 Bytes"
  byte 13
  byte "<used>                         - Used sector count. 1 Sector = 512 Bytes"
  byte 13
  byte "<ls> <all>                     - List contents of the working directory. A=All."
  byte 13
  byte "<dir>                          - List contents. Includes wildcards eg dir *.exe"
  byte 13
  byte "<dirw>                         - List contents, etc. Includes wildcards eg dir *.exe"
  byte 13
  byte "<cat> <file> <hex>             - ??Print the ASCII interpreted contents of a file."
  byte 13
  byte "<type> <file> <hex>            - ??Print the ASCII interpreted contents of a file."
  byte 13
  byte "<cd> <directory>               - Change directory."
  byte 13
  byte "<chmod> <entry> <attributes>   - Change Attrib: R=R/O, H=Hidden, S=Sys, A=Arch"
  byte 13
  byte "<mv> <oldPath> <newPath>       - Move a file or directory."
  byte 13
  byte "<rm> <path> or <era>           - Remove a file or directory."
  byte 13
  byte "<mkfile> <name>                - Make a new file."
  byte 13
  byte "<mkdir> <name>                 - Make a new directory."
  byte 13
  byte "<copy> <oldPath> <newPath>     - Copy a file."
  byte 13
  byte "<diff> <path> <path>           - Print differences between two files."
  byte 13
  byte "<run> <filename>               - Reboot the propeller chip from a .BIN file."
  byte 13
  byte "<filename>                     - Run a program/command _filename.CMD "
  byte 13
  byte "<format> <partition>           - Format and mount the file system."
  byte 13
' byte "<date>                         - Display the current date and time."
' byte 13
' byte "<time>                         - Change the current date and time."
' byte 13
'  byte "<set> <byteNumber> <byteValue> - Set the value of a SRAM byte on the RTClock."
'  byte 13
'  byte "<get> <byteNumber>             - Get the value of a SRAM byte on the RTClock."
'  byte 13
'  byte "<sqw> <frequencyNumber>        - Set the frequecny of the SWQ / OUT pin. (0=1Hz, 1=4096Hz, 2=8192Hz, 3=32768Hz)."
'  byte 13
'  byte "<out> <digitalState>           - Set the state of the SWQ / OUT pin. (0=low, 1=high)."
'  byte 13
'  byte "<play> <file>                  - Play a WAV file."
'  byte 13
'  byte "<tape> <file>                  - Tape a WAV file."
'  byte 13
  byte "<testsd>                       - Speed test the file system."
  byte 13
  byte 0                ' required last         

dat                                                   
{{
+------------------------------------------------------------------------------------------------------------------------------+
|                                                   TERMS OF USE: MIT License                                                  |                                                            
+------------------------------------------------------------------------------------------------------------------------------+
|Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation    | 
|files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy,    |
|modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software|
|is furnished to do so, subject to the following conditions:                                                                   |
|                                                                                                                              |
|The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.|
|                                                                                                                              |
|THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE          |
|WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR         |
|COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,   |
|ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.                         |
+------------------------------------------------------------------------------------------------------------------------------+
}}